Subject: Re: [HOKEY] Overall HOKEY Architecture

From: "M. Vanderveen" <[email-masked]>
Date: Thu, 25 Jan 2007 09:25:05 -0800 (PST)

The architecture looks fine, with the re-definition of the last MSK and all.

As for roaming, the diagram could very well apply to the local domain, as it was stated; so if it's in the charter, we just need to specify how to derive what we need in order to run the first EAP method as shown in the diagram, from the long-term credentials that the STA shares with the home AAA/EAP server.

Something for the usrk draft perhaps..
Michaela

----- Original Message ----
From: Julien Bournelle <[email-masked]>
To: "Narayanan, Vidya" <[email-masked]>
Cc: [email-masked]
Sent: Thursday, January 25, 2007 12:16:13 AM
Subject: Re: [HOKEY] Overall HOKEY Architecture

Hi,

The architecture looks good. It could also be nice to have the architecture
in the roaming case.

I agree with vidya that rMSK maybe a better term.

Regards,

Julien

On 1/25/07, Narayanan, Vidya <[email-masked]> wrote:
> The architecture looks good. On the "MSK" produced by HOKEY, it would be
> good to avoid confusion by distinguishing it as a "Re-authentication MSK
> (rMSK)" or some such term.
>
> Vidya
>
> > -----Original Message-----
> > From: Charles Clancy [mailto:[email-masked]]
> > Sent: Wednesday, January 24, 2007 5:18 PM
> > To: Glen Zorn (gwz)
> > Cc: [email-masked]
> > Subject: Re: [HOKEY] Overall HOKEY Architecture
> >
> > Glen Zorn (gwz) wrote:
> > > This looks pretty much accurate & OK to me except that I think that
> > > the last message should be using a key derived from the
> > EMSK, rather
> > > than the MSK.  This would change the structure of the HOKEYkey
> > > hierarchy a bit, but I think it would be more secure.
> >
> > Indeed -- It isn't meant to be the actual MSK, but rather an "MSK"
> > derived from the reauth keying hierarchy.
> >
> > --
> > t. charles clancy, ph.d.  <>  [email-masked]  <>  www.cs.umd.edu/~clancy
> >
> >
> > _______________________________________________
> > HOKEY mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/hokey
> >
>
> _______________________________________________
> HOKEY mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/hokey
>

_______________________________________________
HOKEY mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hokey

____________________________________________________________________________________
Don't get soaked.  Take a quick peak at the forecast
with the Yahoo! Search weather shortcut.
http://tools.search.yahoo.com/shortcuts/#loc_weather

_______________________________________________
HOKEY mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hokey